<template>
  <div class="contSecc">
    <v-tabs v-model="tabs" fixed-tabs>
      <v-tab>
        <strong>Asistencia</strong>
      </v-tab>
      <v-tab>
        <strong>Puntos de Venta Pendientes</strong>
      </v-tab>
      <v-tab>
        <strong>Puntos de venta certificados en el trimestre</strong>
      </v-tab>
    </v-tabs>
    <v-tabs-items v-model="tabs">
      <v-tab-item>
        <TablaCertificadorAsistencia :filtros="this.filtros" />
      </v-tab-item>
      <v-tab-item>
        <TablaPuntosVentaPendientes :filtros="this.filtros" />
      </v-tab-item>
      <v-tab-item>
        <TablaPuntosVentaCertificados :filtros="this.filtros" />
      </v-tab-item>
    </v-tabs-items>
  </div>
</template>
 
<script>
import router from "@/router";
import TablaPuntosVentaPendientes from "@/views/secure/certificacion-calidad/components/TablaPuntosVentaPendientes006.vue";
import TablaPuntosVentaCertificados from "@/views/secure/certificacion-calidad/components/TablaPuntosVentaCertificados007.vue";
import TablaCertificadorAsistencia from "@/views/secure/certificacion-calidad/components/TablaCertificadoresAsistencia011.vue"
import store from "@/store";
const axiosChecklist = store.state.axiosChecklist;
import axios from "axios";
const serviceCommons = store.state.serviceCommons;
export default {
  name: "TablaCertificadores", 
  props:{
    filtros: Object
  },
  components: {
    TablaCertificadorAsistencia,
    TablaPuntosVentaPendientes,
    TablaPuntosVentaCertificados,
  },
  data: () => ({
    tabs: null,
    pageCount: 1,
    itemsPerPage: 10,
    search: "",
    //Paginador
    circle: false,
    disabled: false,
    length: 2,
    nextIcon: "mdi-chevron-right",
    prevIcon: "mdi-chevron-left",
    page: 1,
    totalVisible: 2
  }),
  created() {},
  methods: {},
  computed: {
    serviceCommons() {
      return serviceCommons;
    },
  }
};
</script>

<style scoped>
.buscador {
  margin-bottom: 20px;
}
.buscador > div {
  width: 34%;
}
span.v-chip.theme--dark.v-size--default {
  width: 13px;
  height: 13px;
  border-radius: 50%;
  margin-right: 10px;
  padding: 0px;
}
.tblGeneral tr td a.liga1 {
  text-decoration: underline;
  font-family: "AvenirNextLTPro-Medium";
}
</style>

